Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webcontainer
Interface ActionProcessor

All Known Implementing Classes:
  ButtonExPeer, ButtonPeer, CalculatorPeer, ColorChooserPeer, DateChooserPeer, ImageIconPeer, ImageMapPeer, KeyStrokeListenerPeer, LabelExPeer, ListComponentPeer, LiveTablePeer, MenuItemPeer, MenuPeer, PushButtonPeer, RichTextAreaPeer, TabbedPanePeer, TablePeer, TextAreaPeer, TextComponentPeer, TextFieldPeer, TreePeer, TreeTableCellPeer, UploadSelectPeer, WindowPanePeer

    public interface ActionProcessor

An optional interface for `ComponentSynchronizePeer`s that provides the capability to receive IMMEDIATE notification of state updates from the client. This interface must be implemented by any component that creates "EchoAction" message parts on the client in a ClientMessage.

See Also:
  `PropertyUpdateProcessor`

Field Summary
`static java.lang.String` | `ACTION_NAME` The attribute name of XML 'property' elements that specifies the name of the property.
`static java.lang.String` | `ACTION_VALUE` The attribute name of XML 'property' elements that specifies the value of the property.

Method Summary
`void` | `processAction(ContainerInstance ci, Component component, org.w3c.dom.Element actionElement)` Notifies the `ComponentSynchronizePeer` that a client action has occurred.

Field Detail

### ACTION_NAME

    static final java.lang.String ACTION_NAME

  The attribute name of XML 'property' elements that specifies the name of the property.

  See Also:
    Constant Field Values

### ACTION_VALUE

    static final java.lang.String ACTION_VALUE

  The attribute name of XML 'property' elements that specifies the value of the property. Property elements may instead pass property data in child XML elements, and in such cases should not have a 'value' attribute.

  See Also:
    Constant Field Values

Method Detail

### processAction

    void processAction(ContainerInstance ci,
                       Component component,
                       org.w3c.dom.Element actionElement)

  Notifies the `ComponentSynchronizePeer` that a client action has occurred.

  Parameters:
    `ci` - the relevant `ContainerInstance`
    `component` - the target `Component`
    `actionElement` - the XML element describing the action (the name and value of the action may be obtained by querying the `ACTION_NAME` and `ACTION_VALUE` attribute values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD